//
//  EducationPlusLib.m
//  EducationPlus
//
//  Created by Jon Freberg on 3/21/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//
//  A library created with class methods that are used multiple places in the application.
//


#import "EducationPlusLib.h"

@implementation EducationPlusLib

// Hashes the input string given as parameter to the SHA1 hash
+ (NSString *)sha1:(NSString *)input {
    const char *cstr = [input cStringUsingEncoding:NSUTF8StringEncoding];
    NSData *data = [NSData dataWithBytes:cstr length:input.length];
    uint8_t digest[CC_SHA1_DIGEST_LENGTH];
    CC_SHA1(data.bytes, data.length, digest);
    NSMutableString* output = [NSMutableString stringWithCapacity:40 * 2];
    
    for(int i = 0; i < CC_SHA1_DIGEST_LENGTH; i++) {
        [output appendFormat:@"%02x", digest[i]];
    }
    NSLog(@"SHA1: %@", output);
    return output;
}

// Creates a valid school JSON object from the strings given as parameteres
+ (NSDictionary *)generateSchoolJSONObject:(NSString *)schoolID shortName:(NSString *)schoolShortName fullName:(NSString *)schoolFullName {
    NSArray *objects = nil;
    
    objects = [NSArray arrayWithObjects:schoolID, schoolShortName, @"true", schoolFullName, nil];
    NSArray *keys = nil;
    keys = [NSArray arrayWithObjects:@"schoolID", @"schoolShortName", @"active", @"schoolFullName", nil];
    
    NSDictionary *jsonObject = [NSDictionary dictionaryWithObjects:objects forKeys:keys];
    return jsonObject;
}

// Creates a valid user JSON object from the strings given as parameteres
+ (NSString *)generateJSONObject:(NSString *)firstName
                        lastName:(NSString *)lastName
                        gradYear:(NSString *)gradYear
                          school:(NSDictionary *)school
                           email:(NSString *)email
                        password:(NSString *)password
                 registerNewUser:(BOOL)reg {
    NSError *error;
    NSString *hashedPassword = [[NSString alloc] initWithString:[self sha1:password]];
    NSArray *objects = nil;
    
    NSArray *schoolObjects = [NSArray arrayWithObjects:@"1337", @"lol2", @"true", @"lol3", nil];
    NSArray *schoolKeys = [NSArray arrayWithObjects:@"schoolID", @"schoolShortName", @"active", @"schoolFullName", nil];
    NSDictionary *dummySchoolDictionary = [NSDictionary dictionaryWithObjects: schoolObjects forKeys:schoolKeys];
    
    if(reg) {
        objects = [NSArray arrayWithObjects:firstName, lastName, email, gradYear, hashedPassword, school, nil];
    } else {
        objects = [NSArray arrayWithObjects:@"firstName", @"lastName", email, @"1337", hashedPassword, dummySchoolDictionary, nil];
    }
    
    NSArray *keys = [NSArray arrayWithObjects:@"firstName", @"lastName", @"email", @"graduationYear", @"password", @"school", nil];
    NSDictionary *jsonObject = [NSDictionary dictionaryWithObjects:objects forKeys:keys];
    
    NSData* jsonData = [NSJSONSerialization dataWithJSONObject:jsonObject options:0 error:&error];
    
    NSString *jsonObjectAsString = [[NSString alloc] initWithData:jsonData encoding:NSUTF8StringEncoding];
    NSLog(@"generateJSONObject: %@", jsonObjectAsString);
    return jsonObjectAsString;
}

@end















