//
//  NewsTableViewController.m
//  EducationPlus
//
//  Created by Jon Freberg on 5/12/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//
//  This class is what handles the fetching of news objects from Core Data
//  and adds them to the News Table View.
//

#import "NewsTableViewController.h"
#import "News+Create.h"
#import "Course+Create.h"

@interface NewsTableViewController ()

@end

@implementation NewsTableViewController

@synthesize news = _news;
@synthesize course = _course;
@synthesize tableView = _tableView;

- (void)setupFetchedResultsController:(NSManagedObjectContext *)managedObjectContext // attaches an NSFetchRequest to this UITableViewController
{
    if(!self.course) {
        NSLog(@"INGEN SFRC FORDI USER IKKE HAR NOEN COURSES");
    } else {
        
        NSLog(@"setupFetchedResultsController ER KALT FOR NEWS");
        NSFetchRequest *request = [NSFetchRequest fetchRequestWithEntityName:@"News"];
        
        request.sortDescriptors = [NSArray arrayWithObject:[NSSortDescriptor sortDescriptorWithKey:@"unique" ascending:NO selector:@selector(localizedCaseInsensitiveCompare:)]];
        // no predicate because we want ALL the Photographers
        
        NSLog(@"COURSE FRA SFRC: ");
        NSLog(@"==================");
        NSLog(@"%@", self.course);
        NSLog(@"==================");
        
        NSLog(@"COURSE ID: %@", self.course.unique);

        request.predicate = [NSPredicate predicateWithFormat:@"belongsTo.unique = %@", self.course.unique];
        
        self.fetchedResultsController = [[NSFetchedResultsController alloc] initWithFetchRequest:request
                                                                            managedObjectContext:managedObjectContext
                                                                              sectionNameKeyPath:nil
                                                                                       cacheName:nil];


    }
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    NSLog(@"News TVC viewDidLoad er kalt");
}

#pragma - DELEGATE METHODS

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    self.news = [self.fetchedResultsController objectAtIndexPath:indexPath];
    NSLog(@"News NTVC: %@", self.news);
    NSString *top = self.news.topic;
    NSString *txt = self.news.text;
    
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:top message:txt delegate:self cancelButtonTitle:@"Ok" otherButtonTitles:nil];
    [alert show];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    NSLog(@"cellForRowAtIndexPath ER KALT FOR NEWS");
    static NSString *CellIdentifier = @"News Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
    }
    
    News *news = [self.fetchedResultsController objectAtIndexPath:indexPath];
    Course *c = news.belongsTo;
    
    // ask NSFetchedResultsController for the NSMO at the row in question
    
    // Then configure the cell using it ...
    cell.textLabel.text = news.topic;
    NSString *courseInfo = [c.code stringByAppendingFormat:@" - %@", c.name];
    cell.detailTextLabel.text = courseInfo;

    return cell;  
}

@end
