//
//  RegisterViewController.h
//  Portal
//
//  Created by Jon Freberg on 2/23/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CommonCrypto/CommonDigest.h>
#import "SplitViewBarButtonItemPresenter.h"
#import "CoreDataSingleton.h"
#import "CoreDataTableViewController.h"
#import "School+Create.h"
 
// VAr UIViewController   CoreDataTableViewController
@interface RegisterViewController : CoreDataTableViewController <SplitViewBarButtonItemPresenter, UISearchDisplayDelegate, UISearchBarDelegate> {
    NSManagedObjectContext *managedObjectContext;
}

@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;

@property (weak, nonatomic) IBOutlet UITextField *FirstNameTextField;
@property (weak, nonatomic) IBOutlet UITextField *LastNameTextField;
@property (weak, nonatomic) IBOutlet UITextField *GradYearTextField;
@property (weak, nonatomic) IBOutlet UITextField *EmailTextField;
@property (weak, nonatomic) IBOutlet UITextField *PasswordTextField;

@property (weak, nonatomic) IBOutlet UILabel *FirstNameResponseLabel;
@property (weak, nonatomic) IBOutlet UILabel *LastNameResponseLabel;
@property (weak, nonatomic) IBOutlet UILabel *GraduationYearResponseLabel;
@property (weak, nonatomic) IBOutlet UILabel *EmailResponseLabel;
@property (weak, nonatomic) IBOutlet UILabel *PasswordResponseLabel;
@property (weak, nonatomic) IBOutlet UILabel *ResponseLabel;

// SEARCH BAR
@property (strong, nonatomic) School *selectedSchool;
@property (nonatomic, retain) NSMutableArray *searchResults;

- (IBAction)RegisterButtonAction:(id)sender;

/* Methods for creating validation */
- (void)textFieldDidEndEditing:(UITextField *)textField;
- (BOOL)validateFirstNameWithString:(NSString *)firstName;
- (BOOL)validateLastNameWithString:(NSString *)lastName;
- (BOOL)validateGraduationYearWithInt:(NSString *)graduationYear;
- (BOOL)validateEmailWithString:(NSString*)email;
- (BOOL)validatePasswordWithString:(NSString *)password;

- (BOOL)sendRegistrationEmail:(NSString *)to body:(NSString *)body;

@end
