//
//  School+Create.m
//  EducationPlus
//
//  Created by Jon Freberg on 3/28/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//
//  Category class created on the School object. This method fetches a school from the server
//  and saves it locally if it does not exist there.
//

#import "School+Create.h"

@implementation School (Create)

+ (School *)schoolsWithWSInfo:(NSDictionary *)schools inManagedObjectContext:(NSManagedObjectContext *)context {
    School *school = nil;
    
    NSFetchRequest *request = [NSFetchRequest fetchRequestWithEntityName:@"School"];
    NSLog(@"SCHOOLS: %@", schools);
    request.predicate = [NSPredicate predicateWithFormat:@"unique = %@", [schools valueForKeyPath:@"schoolID"]]; // school.schoolID
    NSSortDescriptor *sortDescriptor = [NSSortDescriptor sortDescriptorWithKey:@"fullName" ascending:YES];
    request.sortDescriptors = [NSArray arrayWithObject:sortDescriptor];
    
    NSError *error = nil;
    NSArray *matches = [context executeFetchRequest:request error:&error];
    
    NSLog(@"Matches count: %d", [matches count]);
    
    if(!matches || [matches count] > 1) {
        //handle error
        NSLog(@"Flere skoler med samme ID i core data");
    } else if([matches count] == 0) {
        school = (School *)[NSEntityDescription insertNewObjectForEntityForName:@"School" inManagedObjectContext:context];
        school.unique = [[NSNumber alloc] initWithInt:[[schools valueForKey:@"schoolID"] integerValue]];    // Error her
        school.active = [schools valueForKey:@"active"];
        school.fullName = [schools valueForKey:@"schoolFullName"];
        school.shortName = [schools valueForKey:@"schoolShortName"];
    } else {
        school = [matches lastObject];
    }
    return school;

}

@end

