//
//  User+Create.m
//  EducationPlus
//
//  Created by Jon Freberg on 3/22/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//
//  Category class created on the User object. This method fetches a user from the server
//  and saves it locally if it does not exist there.
//

#import "User+Create.h"
#import "School+Create.h"

@implementation User (Create)

+ (User *)userWithEmail:(NSArray *)userArray inManagedObjectContext:(NSManagedObjectContext *)context {
    User *user = nil;
    
    NSFetchRequest *request = [NSFetchRequest fetchRequestWithEntityName:@"User"];
    request.predicate = [NSPredicate predicateWithFormat:@"email = %@", [userArray valueForKey:@"email"]];      // Denne crasher når courseListJSON er med
    NSSortDescriptor *sortDescriptor = [NSSortDescriptor sortDescriptorWithKey:@"email" ascending:YES];
    request.sortDescriptors = [NSArray arrayWithObject:sortDescriptor];
    
    NSError *error = nil;
    NSArray *users = [context executeFetchRequest:request error:&error];
    
    if([users count] > 1) {
        NSLog(@"Same email registered multiple times. Should not be possible.");
    } else if(!users) {
        NSLog(@"Users er nil");
    } else if (![users count]) {
        user = (User *)[NSEntityDescription insertNewObjectForEntityForName:@"User" inManagedObjectContext:context];
        user.firstName = [userArray valueForKey:@"firstName"];
        user.lastName = [userArray valueForKey:@"lastName"];
        user.graduationYear = [[NSNumber alloc] initWithInt:[[userArray valueForKey:@"graduationYear"] integerValue]];;
        user.email = [userArray valueForKey:@"email"];
        School *school = [School schoolsWithWSInfo:[userArray valueForKey:@"school"] inManagedObjectContext:context];
        user.goesTo = school;
        user.school = school.shortName;
        user.password = [userArray valueForKey:@"password"];
        user.unique = [[NSNumber alloc] initWithInt:[[userArray valueForKey:@"id"] integerValue]];
        
        NSLog(@"User saved to Core Data");
    } else {
        user = [users lastObject];
    }
    return user;
}

@end
