//
//  UserViewController.h
//  EducationPlus
//
//  Created by Jon Freberg on 3/19/12.
//  Copyright (c) 2012 FrebergWeb. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SplitViewBarButtonItemPresenter.h"
#import "User.h"
#import "User+Create.h"
#import "KeychainItemWrapper.h"
#import "CoreDataSingleton.h"
#import "CoreDataTableViewController.h"
#import "CourseTableViewController.h"
#import "NewsTableViewController.h"

@interface UserViewController : CoreDataTableViewController <SplitViewBarButtonItemPresenter> {
    NSManagedObjectContext *managedObjectContext;
    CourseTableViewController *courseTableViewController;
    NewsTableViewController *newsTableViewController;
    UIActivityIndicatorView *ai;
    UIView *bgView;
}

@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;
@property (weak, nonatomic) IBOutlet UIBarButtonItem *LogoutButton;
@property (weak, nonatomic) IBOutlet UIBarButtonItem *refreshButton;

@property (nonatomic, strong) KeychainItemWrapper *keychainItem;
@property (nonatomic, strong) User *user;
@property (nonatomic, strong) Course *course;
@property (nonatomic, strong) News *news;

// User Profile
@property (weak, nonatomic) IBOutlet UILabel *UserNameLabel;
@property (weak, nonatomic) IBOutlet UILabel *SchoolLabel;

@property (weak, nonatomic) IBOutlet UITableView *CoursesTableView;
@property (weak, nonatomic) IBOutlet UITableView *NewsTableView;
@property (weak, nonatomic) IBOutlet UITableView *MessageTableView;

- (IBAction)LogoutButtonPressed:(id)sender;
- (IBAction)RefreshButtonPressed:(id)sender;

@end
