package no.ntnu.jf.controller;

import java.security.Principal;

import javax.servlet.http.HttpServletRequest;

import no.ntnu.jf.model.Admin;
import no.ntnu.jf.service.AdminService;
import no.ntnu.jf.service.SpringLoginService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

@Controller
public class LoginController {
	
	@Autowired
	private AdminService adminService;
	
	
	private SpringLoginService loginService = new SpringLoginService();

	@RequestMapping(value="/login", method = RequestMethod.GET)
	public ModelAndView login(HttpServletRequest request) {
		ModelAndView mv = new ModelAndView();
		mv.setViewName("login");
		return mv;
 
	}
	
	@RequestMapping(value="/welcome", method = RequestMethod.GET)
	public ModelAndView printWelcome(HttpServletRequest request) {
		ModelAndView mv = new ModelAndView();
		
		UserDetails user = loginService.currentUserDetails();
		Admin a = (Admin)adminService.getAdminByEmail(user.getUsername());
		
		mv.setViewName("welcome");
		mv.addObject("admin", a);
		return mv; 
	}
	
}
