package no.ntnu.jf.controller;

import java.util.List;

import no.ntnu.jf.model.School;
import no.ntnu.jf.service.SchoolService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class SchoolController {
	
	@Autowired
	private SchoolService schoolService;
	
	/***
	 * @author Jon Freberg
	 * @param school (Format: as json object in the HTTP Body)
	 * @return Returns a valid school object if creation was valid, school object without ID if not.
	 */
	@RequestMapping(value = "/school", method = RequestMethod.POST)
	@ResponseBody
	public School saveSchool(@RequestBody School school) {
		schoolService.addSchool(school);
		return school;
	}
	
	/***
	 * @author Jon Freberg
	 * @return A list of schools available
	 */
	@RequestMapping(value="/schools", method=RequestMethod.GET)
	@ResponseBody
	public List<School> getAllSchools() {
		return schoolService.findAllSchools(); 
	}
	
}
