package no.ntnu.jf.model;

import java.io.Serializable;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

import org.codehaus.jackson.map.annotate.JsonDeserialize;

import no.ntnu.jf.service.Queries;
import no.ntnu.jf.service.QueryNames;
/***
 * 
 * @author Jon Freberg
 * 
 * Implementation of the admin model object. Information about the different annotations used is given in chapter 5.3.1 in the report.
 * 
 */
@Entity
@Table(name = "t_admin")
@NamedQueries({
//  @NamedQuery(name = QueryNames.FIND_USER, query = Queries.FIND_USER_QUERY),
  @NamedQuery(name = QueryNames.FIND_ALL_ADMINS, query = Queries.FIND_ALL_ADMINS_QUERY),
  @NamedQuery(name = QueryNames.FIND_ALL_ADMIN_FOR_SCHOOL, query = Queries.FIND_ALL_ADMIN_FOR_SCHOOL_QUERY),
  @NamedQuery(name = QueryNames.FIND_ADMIN_BY_EMAIL, query = Queries.FIND_ADMIN_BY_EMAIL_QUERY),
  @NamedQuery(name = QueryNames.FIND_ADMIN_BY_ID, query = Queries.FIND_ADMIN_BY_ID_QUERY)
})
public class Admin implements AdminInterface, Serializable {

	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	@Column(name="admin_id", nullable=false)
	private long id;
	
	@Column(name="password", nullable=false)
	private String password;
	
	@Column(name="first_name", nullable=false)
	private String firstName;
	
	@Column(name="last_name", nullable=false)
	private String lastName;
	
	@Column(name="email")
	private String email;
	
	@ManyToOne(cascade = {CascadeType.MERGE})
	@JoinColumn(name = "school_id", nullable = false)
	private School school;
	
	public Admin(){}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public School getSchool() {
		return school;
	}

	@JsonDeserialize(as = School.class)
	public void setSchool(School school) {
		this.school = school;
	}

}
