package no.ntnu.jf.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import no.ntnu.jf.dao.AdminDAO;
import no.ntnu.jf.model.Admin;
import no.ntnu.jf.model.AdminInterface;
/***
 * 
 * @author Jon Freberg
 * 
 * Implementation of the AdminService object. 
 * Information about the different annotations used and this classes functionality is given in chapter 5.3.3 in the report.
 * 
 */
@Service
public class AdminServiceImpl implements AdminService {
	
	@Autowired
	private AdminDAO adminDAO;

	@Transactional
	public void addAdmin(Admin a) {
		adminDAO.saveAdmin(a);
	}

	//@Override
	public void removeAdmin(Admin a) {
		adminDAO.removeAdmin(a);
	}

	//@Override
	public List<AdminInterface> findAllAdmins() {
		return adminDAO.findAllAdmins();
	}
	
	public Admin getAdminById(long id) {
		return adminDAO.getAdminById(id);
	}
	
	public List<Admin> findAllAdminsForSchool(long schoolId) {
		return adminDAO.findAllAdminsForSchool(schoolId);
	}

	//@Override
	public AdminInterface getAdminByEmail(String email) {
		return adminDAO.getAdminByEmail(email);
	}
}
