package no.ntnu.jf.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import no.ntnu.jf.dao.NewsDAO;
import no.ntnu.jf.model.News;
/***
 * 
 * @author Jon Freberg
 * 
 * Implementation of the NewsService object. 
 * Information about the different annotations used and this classes functionality is given in chapter 5.3.3 in the report.
 * 
 */
@Service
public class NewsServiceImpl implements NewsService {
	
	@Autowired
	private NewsDAO newsDAO;
	
	@Transactional
	public News saveNews(News n) {
		return newsDAO.saveNews(n);
	}

	@Transactional
	public boolean removeNews(News n) {
		return newsDAO.removeNews(n);
	}

	public List<News> findAllNews() {
		return newsDAO.findAllNews();
	}

	public News findNewsById(long id) {
		return newsDAO.findNewsById(id);
	}
	
	public List<News> findAllNewsForCourse(long courseId) {
		return newsDAO.findAllNewsForCourse(courseId);
	}

	public News findNewsByTextAndCourseId(String text, long courseId) {
		return newsDAO.findNewsByTextAndCourseId(text, courseId);
	}
}
