package no.ntnu.jf.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import no.ntnu.jf.dao.SchoolDAO;
import no.ntnu.jf.model.School;
/***
 * 
 * @author Jon Freberg
 * 
 * Implementation of the SchoolService object. 
 * Information about the different annotations used and this classes functionality is given in chapter 5.3.3 in the report.
 * 
 */
@Service
public class SchoolServiceImpl implements SchoolService {

	@Autowired
	private SchoolDAO schoolDAO;
	
	@Transactional
	public void addSchool(School s) {
		schoolDAO.saveSchool(s);
	}

	@Transactional
	public void removeSchool(School s) {
		schoolDAO.removeSchool(s);
	}

	public School getSchoolByShortName(String shortName) {
		return schoolDAO.getSchoolByShortName(shortName);
	}

	public List<School> findAllSchools() {
		return schoolDAO.findAllSchools();
	}

}
