<%@ include file="static/header.jsp" %>
<%@ include file="static/menu.jsp" %>

<div id="content">
<h1>Add users to course</h1>

<form:form id="addUsersToCourseForm" class="addUsersToCourseForm" name="addUserForm">

<c:if test="${fn:length(courseList) gt 0}">
<select id="courseDropDown" onchange="showUsersAvailableForCourse(this.value)">
	<option value="default">Choose a course...</option>
	<c:forEach items="${courseList}" var="course">
		<option id="${course.courseId}" value="${course.courseId}" >${course.courseCode} - ${course.courseName}</option>
	</c:forEach>
</select>
</c:if>

<c:if test="${fn:length(courseList) lt 1}">
	<table class="apTable hor-minimalist-b">
		<tr>
			<td>You do not administrate any courses.</td>
		</tr>
	</table>
</c:if>

<table class="apTable hor-minimalist-b" id="apTable">

</table>

</form:form>

<input value="Add users" id="addUsersButton" type="submit" style="margin-top: 5px;" />

<p id="confirmationLabel"></p>
<p id="notAvailable"></p>

</div>	<!-- End CONTENT -->
<%@ include file="static/footer.jsp" %>

<script type="text/javascript">
var usersAvailableArray = [];

function showUsersAvailableForCourse(courseId) {
	for(var i = document.getElementById("apTable").rows.length; i > 0; i--) {
		document.getElementById("apTable").deleteRow(i-1);
	}
	$("#confirmationLabel").html("");
	if(courseId == "default") {
		$("#addUsersButton").hide();
		$("#notAvailable").html("");
		$("#confirmationLabel").html("");
	} else {
		$.getJSON("/abc/getUsersAvailableForCourse/" + courseId, function(returnedList) {
			usersAvailableArray = returnedList;
			
			if(usersAvailableArray.length == 0) {
				$("#addUsersButton").hide();
				$("#notAvailable").html("No users are available for adding.");
			} else {
				$("#addUsersButton").show();
				$("#notAvailable").html("");
				var userTable = document.getElementById("apTable");
				
				/* Create table Headers */
				var newTRforTH = document.createElement("tr");
				
				var addTH = document.createElement("th");
				addTH.appendChild(document.createTextNode("Add"));
				
				var firstNameTH = document.createElement("th");
				firstNameTH.appendChild(document.createTextNode("First name"));
				
				var lastNameTH = document.createElement("th");
				lastNameTH.appendChild(document.createTextNode("Last name"));
				
				var emailTH = document.createElement("th");
				emailTH.appendChild(document.createTextNode("Email"));
				
				newTRforTH.appendChild(addTH);
				newTRforTH.appendChild(firstNameTH);
				newTRforTH.appendChild(lastNameTH);
				newTRforTH.appendChild(emailTH);
				
				userTable.appendChild(newTRforTH);
				
				$(usersAvailableArray).each(function(){
					var userTable = document.getElementById("apTable");
					
				   	/* New Row */
					var newTR = document.createElement("tr");
				   	/* New TD - Checkbox*/
				   	var checkBoxTD = document.createElement("td");
				   	var checkbox = document.createElement("input");
				   	checkbox.type = "checkbox";
				   	checkbox.name = "checkboxUser";
				   	checkbox.value = this.id;
				   	checkbox.id = "checkBoxId";
				   	checkBoxTD.appendChild(checkbox);
				   	
				   	/* New TD - First Name */
				   	var firstNameTD = document.createElement("td");
					firstNameTD.appendChild(document.createTextNode(this.firstName));
				   	
				   	/* New TD - Last Name */
				   	var lastNameTD = document.createElement("td");
				   	lastNameTD.appendChild(document.createTextNode(this.lastName));
				   	
				   	/* New TD - Email */
				   	var emailTD = document.createElement("td");
				   	emailTD.appendChild(document.createTextNode(this.email));
				   	
				   	newTR.appendChild(checkBoxTD);
				   	newTR.appendChild(firstNameTD);
				   	newTR.appendChild(lastNameTD);
				   	newTR.appendChild(emailTD);
				   	
				   	userTable.appendChild(newTR);
				});	
			}
		});		
	}
}

$(document).ready(function() {	
	$("#addUsersButton").hide();
	$("#addUsersButton").click(function() {
		var userArray = [];
		var users = document.getElementsByName("checkboxUser");
		
		for(var i = 0; i < users.length; i++) {
			if(users[i].checked) {
				var userId = users[i].value;
				userArray.push(userId);
			}
		}
		var ddm = document.getElementById("courseDropDown");
		var courseId = ddm.options[ddm.selectedIndex].value;
		
		console.log(userArray);
		
		jQuery.ajax({
        	type: "POST",
			url: "/abc/addUsersToCourse/" + userArray + "/" + courseId,
            dataType: "json",
            contentType: "application/json",
            success:function(response) {
				showUsersAvailableForCourse(courseId);
				$("#confirmationLabel").html("User(s) added to course");
				$("#confirmationLabel").css({"color": "green"});
				console.log("Returned Course er IKKE null");
				console.log(response);
            },
            error:function (xhr, ajaxOptions, thrownError) {
				$("#confirmationLabel").html("Something went wrong, try again.");
				$("#confirmationLabel").css({"color": "red"});
				alert(xhr.status);
				alert(thrownError);
            }    
        });
	});
});

</script>
