<%@ include file="static/header.jsp" %>
<%@ include file="static/menu.jsp" %>

<div id="content">
<h1>Courses you administrate</h1>



<table class="apTable hor-minimalist-b">

<%-- <c:if test="${empty courselist}"> --%>

<c:if test="${fn:length(courselist) gt 0}">
<thead>
<tr class="apTR">
	<th class="apTH">Id</th>
	<th class="apTH">Emnekode</th>
	<th class="apTH">Emnenavn</th>
	<th class="apTH">Skole</th>
	<th class="apTH">Users</th>
</tr>
</thead>
<tbody>
<c:forEach items="${courselist}" var="course">
	<tr class="apTR">
		<td id="courseIdTd">${course.courseId}</td>
		<td id="courseCodeTd">${course.courseCode}</td>
		<td>${course.courseName}</td>
		<td>${course.school.schoolShortName}</td>
		<td><input id="userButton" name="userButton" type="button" onclick="showUsersAvailableForCourse(${course.courseId})" value="See users" /></td>
	</tr>
</c:forEach>
</tbody>
</c:if>

<c:if test="${fn:length(courselist) lt 1}">
<tbody>
<tr>
	<td>You do not administrate any courses.</td>
</tr>
</tbody>
</c:if>
</table>

<h2 id="confirmationLabel"></h2>

<h2 id="usersInCourseHeader"></h2>

<table id="usersInCourseTable" class="hor-minimalist-b">
	
</table>

</div>
<%@ include file="static/footer.jsp" %>

<script type="text/javascript">

var usersAvailableArray = [];

function showUsersAvailableForCourse(courseId) {
	for(var i = document.getElementById("usersInCourseTable").rows.length; i > 0; i--) {
		document.getElementById("usersInCourseTable").deleteRow(i-1);
	}
	
	$.getJSON("/abc/getUsersInCourse/" + courseId, function(returnedList) {
		usersAvailableArray = returnedList;
		if(usersAvailableArray.length == 0) {
			$("#confirmationLabel").html("No users are added to this course.");
			$("#usersInCourseHeader").html("");
		} else {
			var courseCodeFromTd = $("#courseCodeTd").text();
			$("#confirmationLabel").html("");
			$("#usersInCourseHeader").html("Users in " + courseCodeFromTd);
			var userTable = document.getElementById("usersInCourseTable");
			
			/* Create table Headers */
			var newTRforTH = document.createElement("tr");
			
			var firstNameTH = document.createElement("th");
			firstNameTH.appendChild(document.createTextNode("First name"));
			
			var lastNameTH = document.createElement("th");
			lastNameTH.appendChild(document.createTextNode("Last name"));
			
			var emailTH = document.createElement("th");
			emailTH.appendChild(document.createTextNode("Email"));
			
			newTRforTH.appendChild(firstNameTH);
			newTRforTH.appendChild(lastNameTH);
			newTRforTH.appendChild(emailTH);
			
			userTable.appendChild(newTRforTH);
			
			$(usersAvailableArray).each(function(){
	 		   	/* New Row */
				var newTR = document.createElement("tr");
			   	
			   	/* New TD - First Name */
			   	var firstNameTD = document.createElement("td");
				firstNameTD.appendChild(document.createTextNode(this.firstName));
			   	
			   	/* New TD - Last Name */
			   	var lastNameTD = document.createElement("td");
			   	lastNameTD.appendChild(document.createTextNode(this.lastName));
			   	
			   	/* New TD - Email */
			   	var emailTD = document.createElement("td");
			   	emailTD.appendChild(document.createTextNode(this.email));
			   	
			   	newTR.appendChild(firstNameTD);
			   	newTR.appendChild(lastNameTD);
			   	newTR.appendChild(emailTD);
			   	
			   	userTable.appendChild(newTR);
			});
		}
	});		
}

</script>