<%@ include file="static/header.jsp" %>
<%@ include file="static/menu.jsp" %>

<div id="content">

<h1>Create news</h1>

<div id="addNews">
	<c:if test="${fn:length(courselist) gt 0}">
		<form:form class="addEntityForm" modelAttribute="news" id="newsForm">
<!-- 			<fieldset> -->
				<table>
					<tr>
						<td>
						<select id="courseDropDown" class="required">
							<option selected="" value="">Choose a course...</option>
							<c:forEach items="${courselist}" var="course">
								<option id="${course.courseId}" value="${course.courseId}" >${course.courseCode} - ${course.courseName}</option>
							</c:forEach>
						</select>
						</td>
					</tr>
					<tr>
						<td>Topic: (unique)</td>
					</tr>
					<tr>
						<td><input class="required" type="text" name="topic" value=""></td>
					</tr>
					<tr>
						<td>Text:</td>
					</tr>
					<tr>
						<td>
	<!-- 					<input type="text" name="text" class="resizedTextBox" /> -->
							<textarea class="required" rows="10" cols="50" id="text" name="text"></textarea>
						</td>
					</tr>
					<tr>
						<td colspan="2" id="confirmationLabel"></td>
					</tr>
					<tr>
						<td colspan="2" id="confirmationLabel2"></td>
					</tr>
				</table>
<!-- 			</fieldset> -->
		</form:form>
		<input value="Save news" id="savebutton" type="submit" />
		<input value="Reset values" name="resetbutton" type="reset" />
	</c:if>
	<c:if test="${fn:length(courselist) lt 1}">
	<table class="apTable hor-minimalist-b">
		<tr>
			<td>You need to administrate a course to create news entries.</td>
		</tr>
	</table>
</c:if>
</div>

</div>	<!-- End CONTENT -->
<%@ include file="static/footer.jsp" %>


<script type="text/javascript">

// var newsToServer = [];

$(document).ready(function() {	
// 	$("#addUsersButton").hide();
	$("#newsForm").validate();

	$("#savebutton").click(function() {
		if ($("#newsForm").valid()) {
			var newsTemp = $("#newsForm").serializeObject();
			var newsToServer;
			var adminJSON;
			var courseJSON;
			
			var date = new Date();
			
			$.getJSON("/abc/admin/" + "${admin.id}", function(adminFromServer) {
				if(adminFromServer == null) {
					$("#confirmationLabel").html("Couldnt get admin from server");
				} else {
					adminJSON = adminFromServer;
					var ddm = document.getElementById("courseDropDown");
					var courseId = ddm.options[ddm.selectedIndex].value;
					$.getJSON("/abc/course/" + courseId, function(courseFromServer) {
						if(courseFromServer == null) {
							$("#confirmationLabel2").html("Couldnt get course from server");
						} else {
							courseJSON = courseFromServer;
							newsToServer = {"topic" : newsTemp.topic, "text" : newsTemp.text,
							        "regTime" : date, "modTime" : date, "admin" : adminJSON, "course" : courseJSON };
	// 						alert(JSON.stringify(newsToServer));
							$.postJSON("/abc/news", newsToServer, function(newsFromServer) {
								if(newsFromServer == null) {
									console.log(newsFromServer);
								} else {
									$("#confirmationLabel").html("News saved.");
									$("#confirmationLabel").css({"color": "green"});
									console.log(newsFromServer);
	//				 				alert(courseSent);
								}
							}).error(function() { 
								$("#confirmationLabel").html("News with that topic already exists.");
								$("#confirmationLabel").css({"color": "red"});
							});
						}
											
					});
				}
			});
		}
	});
});


</script>










