<%@ include file="static/header.jsp" %>
<%@ include file="static/menu.jsp" %>

<div id="content">

<h1>News overview</h1>

<c:if test="${fn:length(courselist) lt 1}">
	<table class="apTable hor-minimalist-b">
		<tr>
			<td>There are currently no news entries that you administrate.</td>
		</tr>
	</table>
</c:if>

<c:if test="${fn:length(courselist) gt 0}">
<select id="courseDropDown" onchange="showNewsForCourse(this.value)">
	<option value="default">Choose a course...</option>
	<c:forEach items="${courselist}" var="course">
		<option id="${course.courseId}" value="${course.courseId}" >${course.courseCode} - ${course.courseName}</option>
	</c:forEach>
</select>
</c:if>

<!-- var newsTable -->
<table class="apTable hor-minimalist-b-wide" id="apTable">	
<!-- <tr class="apTR"> -->
<!-- 	<th class="apTH">Fornavn</th> -->
<!-- 	<th class="apTH">Etternavn</th> -->
<!-- 	<th class="apTH">Epost</th> -->
<!-- </tr> -->
</table>

<p id="confirmationLabel"></p>
<p id="notAvailable"></p>


</div>	<!-- End CONTENT -->
<%@ include file="static/footer.jsp" %>


<script type="text/javascript">
var newsForCourse = [];

function showNewsForCourse(newsId) {
	for(var i = document.getElementById("apTable").rows.length; i > 0; i--) {
		document.getElementById("apTable").deleteRow(i-1);
	}
	$("#confirmationLabel").html("");
	if(newsId == "default") {
		$("#notAvailable").html("");
		$("#confirmationLabel").html("");
	} else {
		$.getJSON("/abc/getNewsForCourse/" + newsId, function(returnedList) {
			newsForCourse = returnedList;
			
			if(newsForCourse.length == 0) {
				$("#notAvailable").html("No news for this course.");
// 				document.getElementById('td1').innerHTML = "Some text to enter";
			} else {
				$("#notAvailable").html("");
				var newsTable = document.getElementById("apTable");
				
				/* Create table Headers */
				var newTRforTH = document.createElement("tr");
				
				var dateTH = document.createElement("th");
				dateTH.setAttribute("id", "dateTH");
				dateTH.appendChild(document.createTextNode("Date"));
				
				var topicTH = document.createElement("th");
				topicTH.setAttribute("id", "topicTH");
				topicTH.appendChild(document.createTextNode("Topic"));
				
				var textTH = document.createElement("th");
				textTH.setAttribute("id", "textTH");
				textTH.appendChild(document.createTextNode("Text"));
				
				newTRforTH.appendChild(dateTH);
				newTRforTH.appendChild(topicTH);
				newTRforTH.appendChild(textTH);
				
				newsTable.appendChild(newTRforTH);
				
				$(newsForCourse).each(function(){
					var newsTable = document.getElementById("apTable");
					
				   	/* New Row */
					var newTR = document.createElement("tr");
				   	
				   	/* New TD - Date */
				   	var dateTD = document.createElement("td");
				   	var dateInMS = this.regTime;
				   	var date = new Date(dateInMS);
					dateTD.appendChild(document.createTextNode(date.toLocaleDateString()));
				   	
				   	/* New TD - Topic */
				   	var topicTD = document.createElement("td");
				   	topicTD.appendChild(document.createTextNode(this.topic));
				   	
				   	/* New TD - Text */
				   	var textTD = document.createElement("td");
				   	textTD.appendChild(document.createTextNode(this.text));
				   	
				   	newTR.appendChild(dateTD);
				   	newTR.appendChild(topicTD);
				   	newTR.appendChild(textTD);
				   	
				   	newsTable.appendChild(newTR);
				});	
			}
		});		
	}
}

</script>
